/* SignalVector.h
Provides the call to call RISC-OS
(C) 2002 Niall Douglas
8th August 2002 (started 8th August 2002)

This file is provided under the GNU General Public Licence.
See the file gpl.txt in the archive for more information.
*/

#ifdef __cplusplus
extern "C" {
#endif
// Calls the code in RISC-OS attached to the specified vector
extern void CallWinPodule_SignalVector(int vector);
// Returns the window handle of the RISC-OS window
extern void CallWinPodule_GetRISCOSWindowHandles(void **parent, void **riscos);

#ifdef __cplusplus
}
#endif
